<template>
    <StudentLayout>
        <!-- Header Cover + Profile Info -->
        <div class="position-relative mb-3 rounded">
            <div class="bg-primary" style="height: 80px; border-radius: 10px 10px 0 0;"></div>
            <div class="p-4 bg-white" style="border-radius: 0 0 10px 10px;">
                <div class="d-flex align-items-end">
                    <!-- Profile Photo -->
                    <img
                        :src="user.photo || '/avatar.jpg'"
                        alt="Profile"
                        class="rounded-circle border border-3 border-white"
                        style="width: 120px; height: 120px; margin-top: -80px;"
                    />
                    <div class="ms-4">
                        <h4 class="mb-1">{{ user.name }}</h4>
                        <p class="text-muted mb-2">{{ user.major?.name || 'Jurusan tidak diketahui' }}</p>
                        <div>
                            <a v-if="user.linkedin_url" :href="user.linkedin_url" target="_blank" class="btn btn-sm btn-outline-primary me-2">🔗 LinkedIn</a>
                            <a v-if="user.cv_file" :href="user.cv_file" target="_blank" class="btn btn-sm btn-outline-secondary me-2">📄 CV</a>
                            <a v-if="user.portofolio_file" :href="user.portofolio_file" target="_blank" class="btn btn-sm btn-outline-secondary">🖼️ Portofolio</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Detail Info -->
        <div class="bg-white rounded p-4">
            <div class="row">
                <div class="col-md-6 mb-3"><strong>NISN:</strong><p>{{ user.nisn || '-' }}</p></div>
                <div class="col-md-6 mb-3"><strong>Tahun Lulus:</strong><p>{{ user.graduation_year?.year || '-' }}</p></div>
                <div class="col-md-6 mb-3"><strong>No Whatsapp:</strong><p>{{ user.whatsapp || '-' }}</p></div>
                <div class="col-md-6 mb-3"><strong>Email:</strong><p>{{ user.email }}</p></div>
                <div class="col-md-6 mb-3"><strong>Tanggal Lahir:</strong><p>{{ user.birth_date ? new Date(user.birth_date).toLocaleDateString() : '-' }}</p></div>
                <div class="col-md-6 mb-3">
                    <strong>Platform Sosial Media:</strong>
                    <p>
                        <a :href="user.social_media_link" target="_blank">
                            {{ user.platform }}
                        </a>
                    </p>
                </div>
                <div class="col-12 mt-4">
                    <strong>Deskripsi Diri:</strong>
                    <div v-html="user.self_description" class="text-muted"></div>
                </div>
            </div>
        </div>
    </StudentLayout>
</template>

<script setup>
import StudentLayout from "@/Layouts/StudentLayout.vue";
defineProps({ user: Object });
</script>

<style scoped>
.bg-gradient {
    background: linear-gradient(to right, #5a9bf6, #48d1cc, #a29bf6, #ff758c);
}
</style>
